Hosted Venue Accounts

Get hosted venue account activity

GET
/users/me/venue-accounts/{venue}/activity

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Path Parameters

venue*string

Query Parameters

mode?string
Value in"live""paper"
page?number
Multiple Of1
Range0 <= value <= 9999

Response Body

200

application/json
  1. response
venue*"betdex"
Value in"betdex"
accountId*string
environment*string
Value in"sandbox""production"
asset*"USDC"
Value in"USDC"
decimals*18
Value in18
page*integer
Range0 <= value <= 9999
nextPage*integer
Range0 <= value <= 9999
observedAt*string
Formatdate-time
items*array<>
Itemsitems <= 100
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/users/me/venue-accounts/string/activity'
Example Response
{  "venue": "betdex",  "accountId": "string",  "environment": "sandbox",  "asset": "USDC",  "decimals": 18,  "page": 0,  "nextPage": 0,  "observedAt": "2019-08-24T14:15:22Z",  "items": [    {      "id": "string",      "code": "Deposit",      "amountRaw": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}